# class ActionDispatch::TestResponse

Integration test methods such as ActionDispatch::Integration::RequestHelpers#get and ActionDispatch::Integration::RequestHelpers#post return objects of class TestResponse, which represent the HTTP response results of the requested controller actions.

See Response for more information on controller response objects.

### Public Class Methods

from_response(response) click to toggle source

    # File lib/action_dispatch/testing/test_response.rb, line 9
    def self.from_response(response)
      new.tap do |resp|
        resp.status  = response.status
        resp.headers = response.headers
        resp.body    = response.body
      end
    end